<?php if (!defined('ABSPATH')) {exit;}
include_once ABSPATH . 'wp-admin/includes/plugin.php'; // без этого не будет работать вне адмники is_plugin_active
function ipytw_product_upd($data, $feedId) {	
 ipytw_error_log('FEED № '.$feedId.'; Стартовала ipytw_product_upd; Файл: product_upd.php; Строка: '.__LINE__, 0);
 $ipytw_product_was_sync = $data['ipytw_product_was_sync'];
 $product = wc_get_product($data['site_product_id']);
 switch ($ipytw_product_was_sync) {
	case 'whole': 
		$res = ipytw_product_add($data, $feedId, $data['site_product_id']);
		return $res;
	break; 
	case 'price_only':
		$product_price = (float)$data['offer_xml_object']->price;
		$product_price = apply_filters('ipytw_product_price_filter', $product_price, $feedId);
		$product->set_regular_price($product_price);	   
		$product_oldprice = (float)$data['offer_xml_object']->oldprice;
		$product_oldprice = apply_filters('ipytw_product_oldprice_filter', $product_oldprice, $feedId);
		if ($product_oldprice !== (float)0) { 
			$product->set_sale_price($product_oldprice); 
		}		
	break; 
	case 'price_and_stock':
		$product_price = (float)$data['offer_xml_object']->price;
		$product_price = apply_filters('ipytw_product_price_filter', $product_price, $feedId);
		$product->set_regular_price($product_price);	   
		$product_oldprice = (float)$data['offer_xml_object']->oldprice;
		$product_oldprice = apply_filters('ipytw_product_oldprice_filter', $product_oldprice, $feedId);
		if ($product_oldprice !== (float)0) { 
			$product->set_sale_price($product_oldprice); 
		}
		$xml_offer_attr_object = $data['offer_xml_object']->attributes(); 
		if (property_exists($xml_offer_attr_object, 'available')) {
			$feed_product_available = (string)$xml_offer_attr_object->available;
			if ($feed_product_available === 'true') {$stock_status = 'instock';} else {$stock_status = 'outofstock';}
		} else {$stock_status = 'outofstock';}
		$product->set_stock_status($stock_status);	
	break; 		
	case 'dont_update': break;
	default:
 }
 $unixtime = current_time('Y-m-d H:i');
 update_post_meta($data['site_product_id'], '_ipytw_date_last_import', $unixtime);
 $product_id = $product->save();

 $product_price = $product->get_price(); /* ! */
 $imported_ids = $data['feed_product_id'].';'.$data['site_product_id'].';-;-;'.$product_price.PHP_EOL;
 unset($product);
 return $imported_ids;
} // end function product_upd($data, $feedId) {
?>